- Qt 5.15
- Qt QML
- QML Types
- QSignalTransition QML Type
- Qt 5.15.18 Reference Documentation

# QSignalTransition QML Type

The QSignalTransition type provides a transition based on a Qt signal. More...

Import Statement: | import QtQml.StateMachine 1.15
Since: | Qt 5.4
Inherits: | QAbstractTransition
Inherited By: | SignalTransition and TimeoutTransition

- List of all members, including inherited members

## Properties

- senderObject : QObject
- signal : string

## Detailed Description

Do not use QSignalTransition directly; use SignalTransition or TimeoutTransition instead.

See also SignalTransition and TimeoutTransition.

## Property Documentation

senderObject : QObject

The sender object which is associated with this signal transition.

signal : string

The signal which is associated with this signal transition.